org.apache.poi.xssf.usermodel

## Class XSSFChildAnchor

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFAnchor
  - - org.apache.poi.xssf.usermodel.XSSFChildAnchor

- All Implemented Interfaces:
    ChildAnchor

      public final class XSSFChildAnchor
      extends XSSFAnchor

  Author:
    Yegor Kozlov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFChildAnchor(org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D t2d)`
    `XSSFChildAnchor(int x, int y, int cx, int cy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D` | `getCTTransform2D()`
    `int` | `getDx1()`
    `int` | `getDx2()`
    `int` | `getDy1()`
    `int` | `getDy2()`
    `void` | `setDx1(int dx1)`
    `void` | `setDx2(int dx2)`
    `void` | `setDy1(int dy1)`
    `void` | `setDy2(int dy2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFChildAnchor

          public XSSFChildAnchor(int x,
                                 int y,
                                 int cx,
                                 int cy)

    - #### XSSFChildAnchor

          public XSSFChildAnchor(org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D t2d)

  - ### Method Detail

    - #### getCTTransform2D

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D getCTTransform2D()

    - #### getDx1

          public int getDx1()

      Returns:
        x coordinate of the left up corner

    - #### setDx1

          public void setDx1(int dx1)

      Parameters:
        `dx1` - x coordinate of the left up corner

    - #### getDy1

          public int getDy1()

      Returns:
        y coordinate of the left up corner

    - #### setDy1

          public void setDy1(int dy1)

      Parameters:
        `dy1` - y coordinate of the left up corner

    - #### getDy2

          public int getDy2()

      Returns:
        y coordinate of the right down corner

    - #### setDy2

          public void setDy2(int dy2)

      Parameters:
        `dy2` - y coordinate of the right down corner

    - #### getDx2

          public int getDx2()

      Returns:
        x coordinate of the right down corner

    - #### setDx2

          public void setDx2(int dx2)

      Parameters:
        `dx2` - x coordinate of the right down corner

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.